Bug 299 - bugs.freedesktop.org redirects to freedesktop.org, which is bad
Summary: bugs.freedesktop.org redirects to freedesktop.org, which is bad
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Bugzilla (show other bugs)
Version: unspecified
Hardware: Other All
: highest normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 300
  Show dependency treegraph
 
Reported: 2004-03-11 11:38 UTC by Mike A. Harris
Modified: 2004-11-22 18:54 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Mike A. Harris 2004-03-11 11:38:20 UTC
bugs.freedesktop.org currently redirects to freedesktop.org, which is bad
because it can break people's bookmarks or cause other problems.  It is
also inconsistent, and kindof defeats the purpose of having bugs.fd.o be
a CNAME.  All references to bugzilla should be using bugs.freedesktop.org
everywhere universally, and not redirect to another hostname, to maximize
the futureproofedness of bugzilla, and minimize inconveniences.
Comment 1 Stuart Anderson 2004-05-23 23:38:59 UTC
Should I fix this when I update bugzilla? 
Comment 2 Adam Jackson 2004-06-19 21:34:46 UTC
product shift.
Comment 3 Mike A. Harris 2004-07-07 02:42:04 UTC
ping

Someone going to fix this, or close it WONTFIX or something?  It's a nasty
URL redirection problem that can cause a lot of broken URL problems later
on with bookmarks, etc.  bugs.freedesktop.org wont necessarily always
be the same machine as freedesktop.org, and if it changes, it defeats
the purpose of having a bugs.freedesktop.org alias.

Comment 4 Stuart Anderson 2004-07-07 20:04:47 UTC
I don't know how to fix the rewrite rules. I asked for help, but no one 
offered. I would like to get this resolved, but I need help with the apache 
config to do it the right way. 
Comment 5 Adam Conrad 2004-07-08 01:45:59 UTC
As it turns out, I know how to fix up Apache, but I have no idea what is wanted 
here.  Should fd.o/bugzilla/ be relocated to bugs.fd.o/ ...?  If so, that's a 
pretty simple fix from the Apache end, though I have no idea if bugzilla itself 
will freak out about being dragged around.
Comment 6 Mike A. Harris 2004-07-08 09:37:34 UTC
There are plenty of URLs for bugs floating around, including cut and pasted
into bug reports of the form:  http://bugs.freedesktop.org/......

None of them work when I click on them.  I had numerous bookmarks that no
longer work also.  I had to strip the "bugs." off the front, and massage
the path also, or requery bugzilla again from scratch.

The subdomain "bugs.freedesktop.org" is useful in many ways if configured
properly, and it allows the bugzilla database to be relegated elsewhere
with minimal pain at some point in the future.

The most important thing of all however is consistency.  Personally, I think
everything should consistently use:  http://bugs.freedesktop.org for everything,
and that any other URL to get into bugzilla should be invalid, to discourage
10 different ways of doing things.  Any solution that makes it consistent
would be better though, so that user's bookmarks and links in bookmarks,
web pages, etc. don't break.

Thanks for looking into this problem!
Comment 7 Andreas Luik 2004-07-30 06:12:10 UTC
Anybody working on this?  http://bugs.freedesktop.org/ still does not work,
but returns "The requested URL /Software/bugs was not found on this server.".

Likewise, https://bugs.freedesktop.org/ does also not show the bugzilla page,
but the fd.o's home page.

- Andreas
Comment 8 Adam Conrad 2004-07-30 06:50:23 UTC
I'll attack this on the weekend.  Sorry for the delay.  Debian work and Real 
Life(tm) have both jumped up and strangled me recently.
Comment 9 Daniel Stone 2004-11-23 13:54:39 UTC
Cool, I unwittingly closed this when I moved it over post-compromise.  Phat.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.